--- old/usr/src/man/man3c/tolower.3c	Fri Jul 11 11:43:10 2014
+++ new/usr/src/man/man3c/tolower.3c	Fri Jul 11 11:43:10 2014
@@ -1,11 +1,12 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH TOLOWER 3C "Aug 14, 2002"
+.TH TOLOWER 3C "Jun 21, 2014"
 .SH NAME
-tolower \- transliterate upper-case characters to lower-case
+tolower, tolower_l \- transliterate upper-case characters to lower-case
 .SH SYNOPSIS
 .LP
 .nf
@@ -13,9 +14,12 @@
 
 \fBint\fR \fBtolower\fR(\fBint\fR \fIc\fR);
 .fi
+.LP
+.nf
+\fBint\fR \fBtolower_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBtolower()\fR function has as a domain a type \fBint\fR, the value of
 which is representable as an \fBunsigned char\fR or the value of \fBEOF\fR. If
@@ -22,26 +26,24 @@
 the argument has any other value, the argument is returned unchanged. If the
 argument of \fBtolower()\fR represents an upper-case letter, and there exists a
 corresponding lower-case letter (as defined by character type information in
-the program locale category \fB\fR\fBLC_CTYPE\fR\fB),  \fR the result is the
+the locale category \fB\fR\fBLC_CTYPE\fR\fB), \fR the result is the
 corresponding lower-case letter. All other arguments in the domain are returned
 unchanged.
+.LP
+The function \fBtolower_l()\fR behaves identically to \fBtolower()\fR, except
+instead of operating in the current locale, it operates in the locale
+specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 On successful completion, \fBtolower()\fR returns the lower-case letter
 corresponding to the argument passed. Otherwise, it returns the argument
 unchanged.
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -56,7 +58,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fB_tolower\fR(3C), \fBsetlocale\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+\fB_tolower\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
+\fBuselocale\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
